package com.nantian.cloud.dbcapp.carbon.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.carbon.domain.carbonDetection.*;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author xuels
 * @since 2022/7/21
 */
public interface CarbonEnterpriseService extends IService<EnterpriseDataVo> {

    List<RegionEntGroupVO> entTree();

    /**
     * 查询企业基本信息接口
     *
     * @param enterpriseName
     * @return
     */
    Erprise selectEnterpriseVo(String enterpriseName);

    /**
     * 查询机组基本信息
     *
     * @param enterpriseName
     * @return
     */
    List<Machine> selectMachineVos(String enterpriseName);

    /**
     * 查询计量器具基本信息
     *
     * @return
     */
    List<InstrumentInfoVo> getInstrumentInfo(String enterpriseName);

    /**
     * 查询数据统计基本数据信息
     *
     * @param enterpriseName
     * @param year
     * @param month
     * @return
     */
    List<EnterpriseDataVo> getBaseAccData(String enterpriseName, String year, String month);

    Object getMechInfo(String dates, String enterpriseName, String mechNames);

    Object getMechData(String yearMonth, String enterpriseName, String mechNames);

    Object carbonMonthSource(String enterpriseName, String yearMonth);

    Object carbonYearSource(String enterpriseName, String year);

    Object distribute(String enterpriseName, String year);

    Object distributeDetail(String enterpriseName,  String machineName,String year,Integer month);

    Object distributeTotal(String enterpriseName, String year);
}
